Loading...
Searching...
No Matches
pdumodel::MeteredLinePair Struct Reference

An inlet line pair. More...

## Public Attributes

PowerLine | leftLine
| Power line of left node.
PowerLine | rightLine
| Power line of right node.
int | leftNodeId
| Left node id.
int | rightNodeId
| Right node id.
sensors::NumericSensor | voltage
| RMS voltage sensor, L-L, may be a VoltageMonitoringSensor.
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | voltageThd
| Voltage total harmonic distortion sensor.
sensors::NumericSensor | currentThd
| Current total harmonic distortion sensor.

## Detailed Description

An inlet line pair.

The documentation for this struct was generated from the following file:

- Pole.idl